<?php
		$OrderType = $_POST["OrderType"];
		$InceptUserName = $_POST["InceptUserName"];
		$PayUserName = $_POST["PayUserName"];
		$orderid = $_POST["OrderNumber"];
		$StateCode = $_POST["StateCode"];
		$v_amount = $_POST["Amount"];
		$MoneyCode = $_POST["MoneyCode"];
		$SignCode = $_POST["SignCode"];

		//因为内卡和外卡返回的md5字符串参数名不一样，外卡参数名中没有v_md5的，只有一个v_md5info
		if($SignCode==$SignCode){
				
			if($StateCode=="1001") {	

					$PageMain=Insert_Back_value($orderid,$v_amount);

			}else{

					$PageMain=err("支付失败!","member.php","");

			}

		}else{
			
					$PageMain=err("签名认证错误!","member.php","");


		}
?>